Dim myMenuBar As wxMenuBar = New wxMenuBar(),
          myMenu1 As wxMenu = New wxMenu(),
             mySubMenu1 As wxMenu = New wxMenu(),
          myMenu2 As wxMenu = New wxMenu(),
myMenu3 As wxMenu = New wxMenu()
		
	 myMenuBar.Append( myMenu1, "Archivo")
     myMenu1.Append( 1, "&Abrir proyecto...\tAlt+A", "Abrir proyecto..." )
	 myMenu1.Append( 2, "Guardar\tCtrl+G" , "Guardar proyecto..." )
	 myMenu1.Append( 3, "Guardar proyecto...\tCtrl+Alt+G" , "Guardar proyecto como..." )
	 myMenu1.AppendMenu( 4, "&Generar reporte", mySubMenu1 )
     mySubMenu1.Append( 5, "Modo &Básico\tCtrl+Alt+B", "Generar reporte para Modo Básico" )
     mySubMenu1.Append( 6, "Modo &Experto\tCtrl+Alt+E", "Generar reporte para Modo Experto" )
     myMenu1.AppendSeparator()
	 myMenu1.Append( wxID_EXIT, "S&alir\tAlt+X", "Salir de wxBeer v1.0" ) 
	 myMenu1.Enable(1,False) 
	 myMenu1.Enable(2,False) 
     myMenu1.Enable(3,False) 
     myMenu1.Enable(5,False)
     myMenu1.Enable(6,False)
   
   myMenuBar.Append( myMenu2, "Aplicaciones" )
   myMenu2.Append( 8, "Modo Básico  [Homebrew]\tAlt+B", "Modo Básico")
   myMenu2.Append( 9, "Modo Experto [Industrial]\tAlt+E", "Modo Experto")
   myMenu2.Append( 10,"Color-Beer   [Module]")
   myMenu2.Append( 16,"Calculadora  [Module]")
   //myMenu2.Enable(9,False)
   myMenu2.Enable(10,False)
   
   myMenuBar.Append( myMenu3, "Ayuda" )
   myMenu3.Append( 11, "Contenido de ayuda\tF1")
   myMenu3.Append( 12, "Nuevas versiones         ")
   myMenu3.Append( 13, "Asistencia técnica...")
   myMenu3.AppendSeparator()
   myMenu3.Append( 14, "Acerca de wxBeer v1.0")
   
   myframe.setmenubar(myMenuBar)     
Connect( myframe, wxID_EXIT, wxEVT_COMMAND_MENU_SELECTED, "onFileExit" ) 
   Sub onFileExit( event ) 
   End 
End Sub 

Sub AboutTOOL( event )
  Dim msgAbout = "wxBeer for "& wxGetOsDescription() &"\nVersión 1.0\nCopyright (c) 2013-2014 by Enrique Marcet\n\n" &
         "Software libre destinado a la producción de cerveza.\n" &
         "\n"&
         "The GNU's GPL (http://www.gnu.org/licenses/) and LGPL\n"&
         "(http://www.gnu.org/licenses/) licenses."
   wxMessageBox( msgAbout, "About", wxOK, myframe )
End Sub
Connect( myframe, 14, wxEVT_COMMAND_MENU_SELECTED, "AboutTOOL" ) 

Sub TecTOOL( event )
  Dim msgTec = "wxBeer for "& wxGetOsDescription() &"\nVersión 1.0\nCopyright (c) 2013-2014 by Enrique Marcet\n\n" &
         "Asistencia técnica online:\n" &
         "softbeerx@gmail.com\n"&
		 "henry.promosk@gmail.com\n\n"&
         "The GNU's GPL (http://www.gnu.org/licenses/) and LGPL\n"&
         "(http://www.gnu.org/licenses/) licenses."
   wxMessageBox( msgTec, "Asistencia Técnica", wxOK, myframe )
End Sub
Connect( myframe, 13, wxEVT_COMMAND_MENU_SELECTED, "TecTOOL" ) 

Sub NewVer (event)
wxMessageBox("www.softbeer.webpin.com" , "Nuevas versiones", wxOK, myframe )
End Sub

Connect( myframe, 12, wxEVT_COMMAND_MENU_SELECTED, "newver" )

Sub CalcEVN (event)
framecalc.show(TRUE)
End Sub



Sub Helpmenu (event)
Dim helpFile = Command(3)
If helpFile = "" Then helpFile = "./repBin/Help.htb"
Dim hc = New wxHtmlHelpController(wxHF_FLAT_TOOLBAR | wxHF_CONTENTS | wxHF_INDEX | wxHF_SEARCH | wxHF_BOOKMARKS | wxHF_PRINT | wxHF_ICONS_BOOK )
If hc.AddBook(helpFile, False) Then hc.DisplayContents()
End Sub
Connect( myframe, 11, wxEVT_COMMAND_MENU_SELECTED, "Helpmenu" ) 

Connect( myframe, 16, wxEVT_COMMAND_MENU_SELECTED, "CalcEVN" ) 


